Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Class OIL2ServerIL

    java.lang.Object
      org.jboss.mq.il.oil2.OIL2ServerIL

All Implemented Interfaces:
  Cloneable, org.jboss.mq.il.oil2.OIL2Constants, Serializable, ServerIL

public final class OIL2ServerIL
extends Object
implements Serializable, Cloneable, ServerIL, org.jboss.mq.il.oil2.OIL2Constants

The JVM implementation of the ServerIL object

Version:
  $Revision: $
Author:
  Hiram Chirino
See Also:
  Serialized Form

Field Summary
`static byte` | `CLIENT_CLOSE`
`static byte` | `CLIENT_DELETE_TEMPORARY_DESTINATION`
`static byte` | `CLIENT_PONG`
`static byte` | `CLIENT_RECEIVE`
`static byte` | `RESULT_EXCEPTION`
`static byte` | `RESULT_OBJECT`
`static byte` | `RESULT_VOID`
`static byte` | `SERVER_ACKNOWLEDGE`
`static byte` | `SERVER_ADD_MESSAGE`
`static byte` | `SERVER_AUTHENTICATE`
`static byte` | `SERVER_BROWSE`
`static byte` | `SERVER_CHECK_ID`
`static byte` | `SERVER_CHECK_USER`
`static byte` | `SERVER_CLOSE`
`static byte` | `SERVER_CONNECTION_CLOSING`
`static byte` | `SERVER_CREATE_QUEUE`
`static byte` | `SERVER_CREATE_TOPIC`
`static byte` | `SERVER_DELETE_TEMPORARY_DESTINATION`
`static byte` | `SERVER_DESTROY_SUBSCRIPTION`
`static byte` | `SERVER_GET_ID`
`static byte` | `SERVER_GET_TEMPORARY_QUEUE`
`static byte` | `SERVER_GET_TEMPORARY_TOPIC`
`static byte` | `SERVER_PING`
`static byte` | `SERVER_RECEIVE`
`static byte` | `SERVER_SET_ENABLED`
`static byte` | `SERVER_SET_SPY_DISTRIBUTED_CONNECTION`
`static byte` | `SERVER_SUBSCRIBE`
`static byte` | `SERVER_TRANSACT`
`static byte` | `SERVER_UNSUBSCRIBE`

Constructor Summary
`OIL2ServerIL(String addr, int port, String socketFactoryName, boolean enableTcpNoDelay)` Constructor for the OILServerIL object

Method Summary
`void` | `acknowledge(ConnectionToken dc, AcknowledgementRequest item)` #Description of the Method
`void` | `addMessage(ConnectionToken dc, SpyMessage val)` Adds a feature to the Message attribute of the OILServerIL object
`String` | `authenticate(String userName, String password)` #Description of the Method
`SpyMessage[]` | `browse(ConnectionToken dc, javax.jms.Destination dest, String selector)` #Description of the Method
`void` | `checkID(String ID)` #Description of the Method
`String` | `checkUser(String userName, String password)` #Description of the Method
`Object` | `clone()` #Description of the Method
`ServerIL` | `cloneServerIL()` Need to clone because there are instance variables tha can get clobbered.
`void` | `close()` Used to close the current connection with the server
`void` | `connect()`
`void` | `connectionClosing(ConnectionToken dc)` #Description of the Method
`javax.jms.Queue` | `createQueue(ConnectionToken dc, String dest)` #Description of the Method
`javax.jms.Topic` | `createTopic(ConnectionToken dc, String dest)` #Description of the Method
`void` | `deleteTemporaryDestination(ConnectionToken dc, SpyDestination dest)` #Description of the Method
`void` | `destroySubscription(ConnectionToken dc, DurableSubscriptionID id)` #Description of the Method
`String` | `getID()` Gets the ID attribute of the OILServerIL object
`javax.jms.TemporaryQueue` | `getTemporaryQueue(ConnectionToken dc)` Gets the TemporaryQueue attribute of the OILServerIL object
`javax.jms.TemporaryTopic` | `getTemporaryTopic(ConnectionToken dc)` Gets the TemporaryTopic attribute of the OILServerIL object
`void` | `ping(ConnectionToken dc, long clientTime)` #Description of the Method
`SpyMessage` | `receive(ConnectionToken dc, int subscriberId, long wait)` #Description of the Method
`void` | `setConnectionToken(ConnectionToken dest)` Sets the ConnectionToken attribute of the OILServerIL object
`void` | `setEnabled(ConnectionToken dc, boolean enabled)` Sets the Enabled attribute of the OILServerIL object
`void` | `subscribe(ConnectionToken dc, Subscription s)` #Description of the Method
`void` | `transact(ConnectionToken dc, TransactionRequest t)` #Description of the Method
`void` | `unsubscribe(ConnectionToken dc, int subscriptionId)` #Description of the Method

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_VOID

    public static final byte RESULT_VOID

See Also:
  Constant Field Values

### RESULT_OBJECT

    public static final byte RESULT_OBJECT

See Also:
  Constant Field Values

### RESULT_EXCEPTION

    public static final byte RESULT_EXCEPTION

See Also:
  Constant Field Values

### CLIENT_RECEIVE

    public static final byte CLIENT_RECEIVE

See Also:
  Constant Field Values

### CLIENT_DELETE_TEMPORARY_DESTINATION

    public static final byte CLIENT_DELETE_TEMPORARY_DESTINATION

See Also:
  Constant Field Values

### CLIENT_CLOSE

    public static final byte CLIENT_CLOSE

See Also:
  Constant Field Values

### CLIENT_PONG

    public static final byte CLIENT_PONG

See Also:
  Constant Field Values

### SERVER_ACKNOWLEDGE

    public static final byte SERVER_ACKNOWLEDGE

See Also:
  Constant Field Values

### SERVER_ADD_MESSAGE

    public static final byte SERVER_ADD_MESSAGE

See Also:
  Constant Field Values

### SERVER_BROWSE

    public static final byte SERVER_BROWSE

See Also:
  Constant Field Values

### SERVER_CHECK_ID

    public static final byte SERVER_CHECK_ID

See Also:
  Constant Field Values

### SERVER_CONNECTION_CLOSING

    public static final byte SERVER_CONNECTION_CLOSING

See Also:
  Constant Field Values

### SERVER_CREATE_QUEUE

    public static final byte SERVER_CREATE_QUEUE

See Also:
  Constant Field Values

### SERVER_CREATE_TOPIC

    public static final byte SERVER_CREATE_TOPIC

See Also:
  Constant Field Values

### SERVER_DELETE_TEMPORARY_DESTINATION

    public static final byte SERVER_DELETE_TEMPORARY_DESTINATION

See Also:
  Constant Field Values

### SERVER_GET_ID

    public static final byte SERVER_GET_ID

See Also:
  Constant Field Values

### SERVER_GET_TEMPORARY_QUEUE

    public static final byte SERVER_GET_TEMPORARY_QUEUE

See Also:
  Constant Field Values

### SERVER_GET_TEMPORARY_TOPIC

    public static final byte SERVER_GET_TEMPORARY_TOPIC

See Also:
  Constant Field Values

### SERVER_RECEIVE

    public static final byte SERVER_RECEIVE

See Also:
  Constant Field Values

### SERVER_SET_ENABLED

    public static final byte SERVER_SET_ENABLED

See Also:
  Constant Field Values

### SERVER_SET_SPY_DISTRIBUTED_CONNECTION

    public static final byte SERVER_SET_SPY_DISTRIBUTED_CONNECTION

See Also:
  Constant Field Values

### SERVER_SUBSCRIBE

    public static final byte SERVER_SUBSCRIBE

See Also:
  Constant Field Values

### SERVER_TRANSACT

    public static final byte SERVER_TRANSACT

See Also:
  Constant Field Values

### SERVER_UNSUBSCRIBE

    public static final byte SERVER_UNSUBSCRIBE

See Also:
  Constant Field Values

### SERVER_DESTROY_SUBSCRIPTION

    public static final byte SERVER_DESTROY_SUBSCRIPTION

See Also:
  Constant Field Values

### SERVER_CHECK_USER

    public static final byte SERVER_CHECK_USER

See Also:
  Constant Field Values

### SERVER_PING

    public static final byte SERVER_PING

See Also:
  Constant Field Values

### SERVER_CLOSE

    public static final byte SERVER_CLOSE

See Also:
  Constant Field Values

### SERVER_AUTHENTICATE

    public static final byte SERVER_AUTHENTICATE

See Also:
  Constant Field Values

Constructor Detail

### OIL2ServerIL

    public OIL2ServerIL(String addr,
                        int port,
                        String socketFactoryName,
                        boolean enableTcpNoDelay)

  Constructor for the OILServerIL object

Method Detail

### connect

    public void connect()
                 throws IOException

  Throws:
    `IOException`

### setConnectionToken

    public void setConnectionToken(ConnectionToken dest)
                            throws Exception

  Sets the ConnectionToken attribute of the OILServerIL object

  Specified by:
    `setConnectionToken` in interface `ServerIL`
  Parameters:
    `dest` - The new ConnectionToken value
  Throws:
    `Exception` - Description of Exception

### setEnabled

    public void setEnabled(ConnectionToken dc,
                           boolean enabled)
                    throws javax.jms.JMSException,
                           Exception

  Sets the Enabled attribute of the OILServerIL object

  Specified by:
    `setEnabled` in interface `ServerIL`
  Parameters:
    `dc` - The new Enabled value
    `enabled` - The new Enabled value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### getID

    public String getID()
                 throws Exception

  Gets the ID attribute of the OILServerIL object

  Specified by:
    `getID` in interface `ServerIL`
  Returns:
    The ID value
  Throws:
    `Exception` - Description of Exception

### getTemporaryQueue

    public javax.jms.TemporaryQueue getTemporaryQueue(ConnectionToken dc)
                                               throws javax.jms.JMSException,
                                                      Exception

  Gets the TemporaryQueue attribute of the OILServerIL object

  Specified by:
    `getTemporaryQueue` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
  Returns:
    The TemporaryQueue value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### getTemporaryTopic

    public javax.jms.TemporaryTopic getTemporaryTopic(ConnectionToken dc)
                                               throws javax.jms.JMSException,
                                                      Exception

  Gets the TemporaryTopic attribute of the OILServerIL object

  Specified by:
    `getTemporaryTopic` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
  Returns:
    The TemporaryTopic value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### acknowledge

    public void acknowledge(ConnectionToken dc,
                            AcknowledgementRequest item)
                     throws javax.jms.JMSException,
                            Exception

  #Description of the Method

  Specified by:
    `acknowledge` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `item` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### addMessage

    public void addMessage(ConnectionToken dc,
                           SpyMessage val)
                    throws Exception

  Adds a feature to the Message attribute of the OILServerIL object

  Specified by:
    `addMessage` in interface `ServerIL`
  Parameters:
    `dc` - The feature to be added to the Message attribute
    `val` - The feature to be added to the Message attribute
  Throws:
    `Exception` - Description of Exception

### browse

    public SpyMessage[] browse(ConnectionToken dc,
                               javax.jms.Destination dest,
                               String selector)
                        throws javax.jms.JMSException,
                               Exception

  #Description of the Method

  Specified by:
    `browse` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
    `selector` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### checkID

    public void checkID(String ID)
                 throws javax.jms.JMSException,
                        Exception

  #Description of the Method

  Specified by:
    `checkID` in interface `ServerIL`
  Parameters:
    `ID` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### checkUser

    public String checkUser(String userName,
                            String password)
                     throws javax.jms.JMSException,
                            Exception

  #Description of the Method

  Specified by:
    `checkUser` in interface `ServerIL`
  Parameters:
    `userName` - Description of Parameter
    `password` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### authenticate

    public String authenticate(String userName,
                               String password)
                        throws javax.jms.JMSException,
                               Exception

  #Description of the Method

  Specified by:
    `authenticate` in interface `ServerIL`
  Parameters:
    `userName` - Description of Parameter
    `password` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### clone

    public Object clone()
                 throws CloneNotSupportedException

  #Description of the Method

  Returns:
    Description of the Returned Value
  Throws:
    `CloneNotSupportedException` - Description of Exception

### cloneServerIL

    public ServerIL cloneServerIL()
                           throws Exception

  Need to clone because there are instance variables tha can get clobbered. All Multiple connections can NOT share the same JVMServerIL object

  Specified by:
    `cloneServerIL` in interface `ServerIL`
  Returns:
    Description of the Returned Value
  Throws:
    `Exception` - Description of Exception

### connectionClosing

    public void connectionClosing(ConnectionToken dc)
                           throws javax.jms.JMSException,
                                  Exception

  #Description of the Method

  Specified by:
    `connectionClosing` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### createQueue

    public javax.jms.Queue createQueue(ConnectionToken dc,
                                       String dest)
                                throws javax.jms.JMSException,
                                       Exception

  #Description of the Method

  Specified by:
    `createQueue` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### createTopic

    public javax.jms.Topic createTopic(ConnectionToken dc,
                                       String dest)
                                throws javax.jms.JMSException,
                                       Exception

  #Description of the Method

  Specified by:
    `createTopic` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### deleteTemporaryDestination

    public void deleteTemporaryDestination(ConnectionToken dc,
                                           SpyDestination dest)
                                    throws javax.jms.JMSException,
                                           Exception

  #Description of the Method

  Specified by:
    `deleteTemporaryDestination` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `dest` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### destroySubscription

    public void destroySubscription(ConnectionToken dc,
                                    DurableSubscriptionID id)
                             throws javax.jms.JMSException,
                                    Exception

  #Description of the Method

  Specified by:
    `destroySubscription` in interface `ServerIL`
  Parameters:
    `id` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### ping

    public void ping(ConnectionToken dc,
                     long clientTime)
              throws Exception

  #Description of the Method

  Specified by:
    `ping` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `clientTime` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### receive

    public SpyMessage receive(ConnectionToken dc,
                              int subscriberId,
                              long wait)
                       throws Exception,
                              Exception

  #Description of the Method

  Specified by:
    `receive` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `subscriberId` - Description of Parameter
    `wait` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `Exception` - Description of Exception

### subscribe

    public void subscribe(ConnectionToken dc,
                          Subscription s)
                   throws javax.jms.JMSException,
                          Exception

  #Description of the Method

  Specified by:
    `subscribe` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `s` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### transact

    public void transact(ConnectionToken dc,
                         TransactionRequest t)
                  throws javax.jms.JMSException,
                         Exception

  #Description of the Method

  Specified by:
    `transact` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `t` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### unsubscribe

    public void unsubscribe(ConnectionToken dc,
                            int subscriptionId)
                     throws javax.jms.JMSException,
                            Exception

  #Description of the Method

  Specified by:
    `unsubscribe` in interface `ServerIL`
  Parameters:
    `dc` - Description of Parameter
    `subscriptionId` - Description of Parameter
  Throws:
    `javax.jms.JMSException` - Description of Exception
    `Exception` - Description of Exception

### close

    public void close()

  Used to close the current connection with the server

  Throws:
    `Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.